Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159536 - X has multiple issues with dual monitors and spanning desktops
Summary: X has multiple issues with dual monitors and spanning desktops
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11
Version: 4.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-03 19:51 UTC by Travis Sidelinger
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-30 11:24:05 UTC


Attachments (Terms of Use)

Description Travis Sidelinger 2005-06-03 19:51:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.7.8-1.4.1

Description of problem:
Immediately after installing RHEL4 on my IBM T40 laptop and running up2date, I 
setup dual monitors for a spanning desktop.

I found two serious bugs:

    - Ctrl+Alt+F1 - F8 will lock up X
    - Exporting a remote display will display an empty window frame

The issues go away when only using one display.

The video card is:
# lspci | grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M7 LW [Radeon Mobility 7500]

Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-23.EL

How reproducible:
Always

Steps to Reproduce:
1. Configure dual monitors and spanning desktop
2. Restart X
3. Press Ctrl+Alt+F1, or try to run xclock remotely over ssh x11 forwarding.
  

Actual Results:  Ctrl+Alt+F1 will lock up X.  Only Ctrl-Alt-Del will respond.  All other key and mouse actions do nothing.

Remote xclock pops up localy.  The window frame is functional, but the clock inside the window does not display.

Additional info:

none

Comment 1 Mike A. Harris 2005-08-30 11:24:05 UTC
The version of xorg-x11 you are using is not the most recent update.
Please upgrade your RHEL installation to the latest updates, and if the
problem you are experiencing still persists, please contact Red Hat
technical support at http://www.redhat.com/support or via telephone
at 1-888-RED-HAT1 depending on your support contract arrangements.  Your
Red Hat support rep will be able to assist you in troubleshooting the
problem and finding an appropriate solution.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.